> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check domain status

> Get the status of a domain.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json post /orgs/{org_id}/domains/{domain_id}/status
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/domains/{domain_id}/status:
    post:
      tags:
        - Workspace
      summary: Check domain status
      description: Get the status of a domain.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Domain ID
          name: domain_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainStatusSchema'
components:
  schemas:
    DomainStatusSchema:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/CloudflareCustomHostnameStatusSchema'
        verification_errors:
          type: array
          items:
            type: string
      required:
        - status
        - verification_errors
      description: Status information about an org domain
    CloudflareCustomHostnameStatusSchema:
      type: string
      enum:
        - active
        - pending
        - active_redeploying
        - moved
        - pending_deletion
        - deleted
        - pending_blocked
        - pending_migration
        - pending_provisioned
        - test_pending
        - test_active
        - test_active_apex
        - test_blocked
        - test_failed
        - provisioned
        - blocked
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````